Messages
Get message by hash
Retrieve detailed information about a specific message using its message hash.
GET
/
message
/
{msgHash}
Get message by hash
curl --request GET \
--url https://public-api.voyager.online/beta/message/{msgHash} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/message/{msgHash}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/message/{msgHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/message/{msgHash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/message/{msgHash}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/message/{msgHash}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/message/{msgHash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"hash": "0xfccbe5f6486f30a8da921c94bd3f9b847c58306439235504f5bbf935d5643886",
"count": 4,
"type": "l2l1",
"from_address": "0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82",
"to_address": "0xae0ee0a63a2ce6baeeffe56e7714fb4efe48d419",
"selector": "null",
"payload": "0,634620463854586859851242826670858498842198099023,4543560,35000000000000000000,0",
"l1ContractAlias": "L1 StarkGate: ETH Bridge",
"l2ContractAlias": "StarkGate: ETH Bridge",
"metaInfo": [
{
"timestamp": 1744696813,
"txHash": "0x3254fb74139e2097351ea3b31cb4e0c7e7e0d1605bcf4b7274aa1a565ce10cd",
"blockHash": "0x32c315cba601b0cf81675642b0b673d98c8d6d3d62c2cd014d701cd47216dc6",
"status": "sent"
}
],
"displayInfo": [
{
"status": "sent"
},
{
"status": "consumed"
}
],
"l1_transaction_hash": null
},
"l1l2": null,
"l2l1": {
"hash": "0xfccbe5f6486f30a8da921c94bd3f9b847c58306439235504f5bbf935d5643886",
"from_address": "0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82",
"to_address": "0xae0ee0a63a2ce6baeeffe56e7714fb4efe48d419",
"payload": [
"0",
"634620463854586859851242826670858498842198099023",
"4543560",
"35000000000000000000",
"0"
]
}
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Path Parameters
L1 ↔ L2 message hash (0x-prefixed hex).
Pattern:
^(0x[0-9a-fA-F]{1,66})$⌘I
Get message by hash
curl --request GET \
--url https://public-api.voyager.online/beta/message/{msgHash} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/message/{msgHash}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/message/{msgHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/message/{msgHash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/message/{msgHash}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/message/{msgHash}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/message/{msgHash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"hash": "0xfccbe5f6486f30a8da921c94bd3f9b847c58306439235504f5bbf935d5643886",
"count": 4,
"type": "l2l1",
"from_address": "0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82",
"to_address": "0xae0ee0a63a2ce6baeeffe56e7714fb4efe48d419",
"selector": "null",
"payload": "0,634620463854586859851242826670858498842198099023,4543560,35000000000000000000,0",
"l1ContractAlias": "L1 StarkGate: ETH Bridge",
"l2ContractAlias": "StarkGate: ETH Bridge",
"metaInfo": [
{
"timestamp": 1744696813,
"txHash": "0x3254fb74139e2097351ea3b31cb4e0c7e7e0d1605bcf4b7274aa1a565ce10cd",
"blockHash": "0x32c315cba601b0cf81675642b0b673d98c8d6d3d62c2cd014d701cd47216dc6",
"status": "sent"
}
],
"displayInfo": [
{
"status": "sent"
},
{
"status": "consumed"
}
],
"l1_transaction_hash": null
},
"l1l2": null,
"l2l1": {
"hash": "0xfccbe5f6486f30a8da921c94bd3f9b847c58306439235504f5bbf935d5643886",
"from_address": "0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82",
"to_address": "0xae0ee0a63a2ce6baeeffe56e7714fb4efe48d419",
"payload": [
"0",
"634620463854586859851242826670858498842198099023",
"4543560",
"35000000000000000000",
"0"
]
}
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}